openldap2/0229-ITS-9197-Fix-test-script.patch
2024-02-28 21:00:53 +08:00

66 lines
1.6 KiB
Diff

From 089fb5f9fe662324368f928a37b5b0e09655b4f1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ond=C5=99ej=20Kuzn=C3=ADk?= <ondra@mistotebe.net>
Date: Fri, 26 Feb 2021 09:13:54 +0000
Subject: [PATCH 229/230] ITS#9197 Fix test script
---
tests/scripts/test079-proxy-timeout | 36 ++++++++++++++++++++++++++++-
1 file changed, 35 insertions(+), 1 deletion(-)
diff --git a/tests/scripts/test079-proxy-timeout b/tests/scripts/test079-proxy-timeout
index 39a6d36ce..514bcfacc 100644
--- a/tests/scripts/test079-proxy-timeout
+++ b/tests/scripts/test079-proxy-timeout
@@ -48,6 +48,24 @@ if test $WAIT != 0 ; then
read foo
fi
+echo "Testing slapd modify operations..."
+for i in 0 1 2 3 4 5; do
+ $LDAPSEARCH -s base -b "$MONITOR" -H $URI1 \
+ 'objectclass=*' > /dev/null 2>&1
+ RC=$?
+ if test $RC = 0 ; then
+ break
+ fi
+ echo "Waiting $SLEEP1 seconds for slapd to start..."
+ sleep $SLEEP1
+done
+
+if test $RC != 0 ; then
+ echo "ldapsearch failed ($RC)!"
+ test $KILLSERVERS != no && kill -HUP $KILLPIDS
+ exit $RC
+fi
+
#
# Start ldapd that will proxy for the remote server
#
@@ -66,7 +84,23 @@ fi
KILLPIDS="$SERVERPID $PROXYPID"
-sleep $SLEEP0
+echo "Testing slapd modify operations..."
+for i in 0 1 2 3 4 5; do
+ $LDAPSEARCH -s base -b "$MONITOR" -H $URI2 \
+ 'objectclass=*' > /dev/null 2>&1
+ RC=$?
+ if test $RC = 0 ; then
+ break
+ fi
+ echo "Waiting $SLEEP1 seconds for slapd to start..."
+ sleep $SLEEP1
+done
+
+if test $RC != 0 ; then
+ echo "ldapsearch failed ($RC)!"
+ test $KILLSERVERS != no && kill -HUP $KILLPIDS
+ exit $RC
+fi
##############################################################################
#
--
2.30.1